routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});


Route::get('login', 'Auth\LoginController@showLoginForm')->name('login');
Route::post('login', 'Auth\LoginController@login');
Route::get('logout', 'Auth\LoginController@logout')->name('logout');
Route::get('testeLogin', function () {
    return view('testeLogin');
});
Route::get('licenca', 'LicencaController@index');
// Route::get('login', 'Auth\LoginController@showLoginForm')->name('login');
// Route::post('login', 'Auth\LoginController@login');
// Route::get('logout', 'Auth\LoginController@logout')->name('logout');
// Route::get('testeLogin', function () {
//     return view('testeLogin');
// });

Auth::routes(['register' => false]);



Route::get('/home', 'HomeController@index')->name('home');

Route::get('/user/resetpassword', 'ProfileController@show_reset_password')->name('profile.password.reset');
Route::put('/user/resetpassword', 'ProfileController@reset_password')->name('profile.password.update');
Route::get('/user/profile', 'ProfileController@index')->name('profile.index');
Route::put('/user/profile', 'ProfileController@update')->name('profile.update');
Route::resource('/accredited', 'AccreditedController');
Route::resource('/specie', 'SpecieController');

Route::get('licenca', 'LicencaController@index')->name('licenca.index');
Route::get('licenca/create', 'LicencaController@create');
Route::post('licenca/store', 'LicencaController@store');
Route::get('licenca/{id}', 'LicencaController@show');
Route::put('licenca/{id}', 'LicencaController@update');
Route::delete('licenca/{id}', 'LicencaController@destroy');
Route::get('licenca/{id}/edit', 'LicencaController@edit');

Route::get('revogarLicenca', function () {
    return view('revogacao.index');
})->name('revogacao');
Route::post('revogarLicenca/lista', 'LicencaController@listarLicencas');
Route::post('revogarLicenca/lista/{id}', 'LicencaController@revogarLicenca');
Route::post('revogarLicenca/lista', 'LicencaController@listarLicencas');
Route::post('revogarLicenca/lista/{id}', 'LicencaController@revogarLicenca');
Route::post('revogarLicenca/lista', 'LicencaController@listarLicencas');
Route::post('revogarLicenca/lista/{id}', 'LicencaController@revogarLicenca');

app/Licenca.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Licenca extends Model
{
    protected $table = 'licencas';
    use SoftDeletes;
}

app/Http/Controllers/LicencaController.php
<?php

namespace App\Http\Controllers;

use App\Licenca;
use Illuminate\Http\Request;
use Validator;
use Carbon\Carbon;

class LicencaController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $licencas = Licenca::all();
        return view('licenca.index', compact('licencas'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('licenca.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $licenca = new Licenca();
        $licenca->cnpj = $request->cnpj;
        $licenca->licenciamento = $request->licenciamento;
        $licenca->vencimento = $request->vencimento;

        $validacao = Validator::make($request->all(), [
            'cnpj' => 'required|cnpj',
            'licenciamento' => 'required',
            'vencimento' => 'required|date|after:licenciamento'
        ]);

        if ($validacao->fails()) {
            return redirect('licenca/create')->withErrors($validacao)->withInput();
        }
        $licenca->estado = true;
        $licenca->save();
        return redirect('licenca');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Licenca  $licenca
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $licenca = Licenca::findOrFail($id);
        return view('licenca.show', compact('licenca'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Licenca  $licenca
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $licenca = Licenca::findOrFail($id);
        return view('licenca.edit', compact('licenca'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Licenca  $licenca
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $licenca = Licenca::findOrFail($id);
        $licenca->cnpj = $request->cnpj;
        $licenca->licenciamento = $request->licenciamento;
        $licenca->vencimento = $request->vencimento;
        if ($request->estado == null) {
            $licenca->estado = false;
        } else {
            $licenca->estado = true;
        }
        $licenca->save();
        return redirect('licenca');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Licenca  $licenca
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $licenca = Licenca::findOrFail($id);
        $licenca->delete();
        return redirect('licenca');
    }

    public function listarLicencas(Request $request)
    {
        $licenca = Licenca::all();
        $datas_vencimento = array();
        $licencas = Licenca::all();
        foreach ($licencas as $licenca) {
            if ($licenca->cnpj == $request->cnpj && $licenca->estado == true) {
                $datas_vencimento[] = $licenca->vencimento;
                $data = Carbon::createFromDate($licenca->vencimento);
                if ($data->isPast(Carbon::today())) {
                    $datas_vencimento[] = $licenca->vencimento;
                }
            }
        }
        return view('revogacao.index', compact('datas_vencimento', 'licenca'));
    }

    public function revogarLicenca($id)
    {
        $licenca = Licenca::findOrFail($id);
        $licenca->estado = false;
        $licenca->save();
        return redirect('revogarLicenca');
    }
}

resources/views/licenca/create.blade.php
@extends('layouts.app')
@section('content')
<div class="container">
    @if ($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif
    <div class="row">
        <div class="col-md-3 ">
             <div class="list-group ">
              <a href="#" class="list-group-item list-group-item-action ">{{ __('Perfil')}}</a>
              @if(Auth::user()->isAdmin())
                <a href="{{ route('accredited.index') }}" class="list-group-item list-group-item-action"> {{__('Gestão de Credenciada')}} </a>
                <a href="{{ route('specie.index') }}" class="list-group-item list-group-item-action">{{ __('Gestão de Espécies') }}</a>
                <a href="{{ route('licenca.index') }}" class="list-group-item list-group-item-action active">{{ __('Gestão de Licenças') }}</a>
              <a href="{{ route('revogacao') }}" class="list-group-item list-group-item-action ">Revogação de Licenças</a>
              @endif
              <!--
              <a href="#" class="list-group-item list-group-item-action">Used</a>
              <a href="#" class="list-group-item list-group-item-action">Enquiry</a>
              <a href="#" class="list-group-item list-group-item-action">Dealer</a>
              <a href="#" class="list-group-item list-group-item-action">Media</a>
              <a href="#" class="list-group-item list-group-item-action">Post</a>
              <a href="#" class="list-group-item list-group-item-action">Category</a>
              <a href="#" class="list-group-item list-group-item-action">New</a>
              <a href="#" class="list-group-item list-group-item-action">Comments</a>
              <a href="#" class="list-group-item list-group-item-action">Appearance</a>
              <a href="#" class="list-group-item list-group-item-action">Reports</a>
              <a href="#" class="list-group-item list-group-item-action">Settings</a>
              -->
            </div>
        </div>
        <div class="col-md-9">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-12">
                            <h4>Criação de Licença</h4>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <form action="{{ action('LicencaController@store') }}" method="POST">
                                @csrf
                              <div class="form-group row">
                                <label for="name" class="col-4 col-form-label">CNPJ</label>
                                <div class="col-8">
                                  <input id="cnpj" name="cnpj" placeholder="Nome" class="form-control here" required="required" type="text">
                                </div>
                              </div>
                              <div class="form-group row">
                                <label for="licenciamento" class="col-4 col-form-label">Data de Licenciamento</label>
                                <div class="col-8">
                                  <input id="licenciamento" name="licenciamento" class="form-control here" type="date">
                                </div>
                              </div>

                              <div class="form-group row">
                                <label for="vencimento" class="col-4 col-form-label">Data de Vencimento</label>
                                <div class="col-8">
                                  <input id="vencimento" name="vencimento" class="form-control here" type="date">
                                </div>
                              </div>

                              <div class="form-group row">
                                <div class="offset-4 col-4">
                                  <button name="submit" type="submit" class="btn btn-primary">Enviar</button>
                                </div>
                              </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/licenca/edit.blade.php
@extends('layouts.app')
@section('content')
<div class="container">
    @if ($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif
    <div class="row">
        <div class="col-md-3 ">
             <div class="list-group ">
              <a href="{{route('profile.index')}}" class="list-group-item list-group-item-action ">{{ __('Perfil')}}</a>
              <a href="{{ route('accredited.index') }}" class="list-group-item list-group-item-action "> {{__('Gestão de Credenciada')}} </a>
              <a href="{{ route('specie.index') }}" class="list-group-item list-group-item-action">{{ __('Gestão de Espécies') }}</a>
              <a href="{{ route('licenca.index') }}" class="list-group-item list-group-item-action active">{{ __('Gestão de Licenças') }}</a>
              <a href="{{ route('revogacao') }}" class="list-group-item list-group-item-action ">Revogação de Licenças</a>
              <!--
              <a href="#" class="list-group-item list-group-item-action">Used</a>
              <a href="#" class="list-group-item list-group-item-action">Enquiry</a>
              <a href="#" class="list-group-item list-group-item-action">Dealer</a>
              <a href="#" class="list-group-item list-group-item-action">Media</a>
              <a href="#" class="list-group-item list-group-item-action">Post</a>
              <a href="#" class="list-group-item list-group-item-action">Category</a>
              <a href="#" class="list-group-item list-group-item-action">New</a>
              <a href="#" class="list-group-item list-group-item-action">Comments</a>
              <a href="#" class="list-group-item list-group-item-action">Appearance</a>
              <a href="#" class="list-group-item list-group-item-action">Reports</a>
              <a href="#" class="list-group-item list-group-item-action">Settings</a>
              -->
            </div>
        </div>
        <div class="col-md-9">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-12">
                            <h4>Edição de Licença</h4>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <form action="{{ action('LicencaController@update', $licenca->id) }}" method="POST">
                                @method('put')
                                @csrf
                              <div class="form-group row">
                                <label for="cnpj" class="col-4 col-form-label">CNPJ</label>
                                <div class="col-8">
                                  <input id="cnpj" name="cnpj" value="{{ $licenca->cnpj }}" placeholder="CNPJ" class="form-control here" required="required" type="text">
                                </div>
                              </div>
                              <div class="form-group row">
                                <label for="licenciamento" class="col-4 col-form-label">Data de Licenciamento</label>
                                <div class="col-8">
                                  <input id="licenciamento" name="licenciamento" required class="form-control here" type="date"> Data original: {{ $licenca->licenciamento }}
                                </div>
                              </div>

                              <div class="form-group row">
                                <label for="vencimento" class="col-4 col-form-label">Data de Vencimento</label>
                                <div class="col-8">
                                  <input id="vencimento" name="vencimento" required class="form-control here" type="date">  Data original: {{ $licenca->vencimento }}
                                </div>
                              </div>

                              <div class="form-group row">
                                <div class="offset-4 col-4">
                                  <button name="submit" type="submit" class="btn btn-primary">Enviar</button>
                                </div>
                              </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/licenca/index.blade.php
@extends('layouts.app')
@section('content')
<div class="container">
    @if ($errors->any())
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
            <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
    @endif
    @if(session('success'))
    <div class="alert alert-success">{{ session('success') }} </div>
    @endif
    <div class="row">
        <div class="col-md-3 ">
            <div class="list-group ">
                <a href="{{route('profile.index')}}" class="list-group-item list-group-item-action">Perfil</a>
                <a href="{{ route('accredited.index') }}" class="list-group-item list-group-item-action">Gestão de Credenciada</a>
                <a href="{{ route('specie.index') }}" class="list-group-item list-group-item-action">Gestão de Espécies</a>
                <a href="{{ route('licenca.index') }}" class="list-group-item list-group-item-action active">{{ __('Gestão de Licenças') }}</a>
                <a href="{{ route('revogacao') }}" class="list-group-item list-group-item-action ">Revogação de Licenças</a>

                <!--
              <a href="#" class="list-group-item list-group-item-action">Used</a>
              <a href="#" class="list-group-item list-group-item-action">Enquiry</a>
              <a href="#" class="list-group-item list-group-item-action">Dealer</a>
              <a href="#" class="list-group-item list-group-item-action">Media</a>
              <a href="#" class="list-group-item list-group-item-action">Post</a>
              <a href="#" class="list-group-item list-group-item-action">Category</a>
              <a href="#" class="list-group-item list-group-item-action">New</a>
              <a href="#" class="list-group-item list-group-item-action">Comments</a>
              <a href="#" class="list-group-item list-group-item-action">Appearance</a>
              <a href="#" class="list-group-item list-group-item-action">Reports</a>
              <a href="#" class="list-group-item list-group-item-action">Settings</a>
              -->
            </div>
        </div>
        <div class="col-md-9">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-8">
                            <h4>Licenças</h4>
                        </div>
                        <div class="col-md-4 d-flex justify-content-center align-items-center">
                            <a class="btn btn-primary" href="{{ action('LicencaController@create')}}">Adicionar Nova</a>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <table class="table border mt-2">
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>CNPJ</th>
                                        <th>Data de Licenciamento</th>
                                        <th>Data de Vencimento</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($licencas as $licenca)
                                    <tr>
                                        <td>{{ $licenca->id }}</td>
                                        <td>{{ $licenca->cnpj}}</td>
                                        <td>{{ $licenca->licenciamento}}</td>
                                        <td>{{ $licenca->vencimento}}</td>
                                        <td>
                                            <form action="{{ action('LicencaController@destroy', $licenca->id) }}" method="post">
                                                @csrf
                                                @method('delete')
                                                <a class="btn btn-success btn-sm" href="/licenca/{{ $licenca->id }}">Ver</a>
                                                <a class="btn btn-primary btn-sm" href="/licenca/{{ $licenca->id }}/edit">Editar</a>
                                                {{ method_field('delete') }}
                                                <a class="btn btn-danger btn-sm" href="#" onclick="if (confirm('Apaga &quot;{{ $licenca->id}}&quot;?')) this.parentNode.submit();">Apagar</a>
                                            </form>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/licenca/show.blade.php
@extends('layouts.app')
@section('content')
<div class="container">
    <div class="row">
        <div class="col-md-3 ">
            <div class="list-group ">
                <a href="#" class="list-group-item list-group-item-action ">{{ __('Perfil')}}</a>
                @if(Auth::user()->isAdmin())
                <a href="{{ route('accredited.index') }}" class="list-group-item list-group-item-action"> {{__('Gestão de Credenciada')}} </a>
                <a href="{{ route('specie.index') }}" class="list-group-item list-group-item-action">{{ __('Gestão de Espécies') }}</a>
                <a href="{{ route('licenca.index') }}" class="list-group-item list-group-item-action active">{{ __('Gestão de Licenças') }}</a>
                <a href="{{ route('revogacao') }}" class="list-group-item list-group-item-action ">Revogação de Licenças</a>
                @endif
                <!--
              <a href="#" class="list-group-item list-group-item-action">Used</a>
              <a href="#" class="list-group-item list-group-item-action">Enquiry</a>
              <a href="#" class="list-group-item list-group-item-action">Dealer</a>
              <a href="#" class="list-group-item list-group-item-action">Media</a>
              <a href="#" class="list-group-item list-group-item-action">Post</a>
              <a href="#" class="list-group-item list-group-item-action">Category</a>
              <a href="#" class="list-group-item list-group-item-action">New</a>
              <a href="#" class="list-group-item list-group-item-action">Comments</a>
              <a href="#" class="list-group-item list-group-item-action">Appearance</a>
              <a href="#" class="list-group-item list-group-item-action">Reports</a>
              <a href="#" class="list-group-item list-group-item-action">Settings</a>
              -->
            </div>
        </div>
        <div class="col-md-9">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-12">
                            <h4>Informações da Licença</h4>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div>
                                <div class="form-group row">
                                    <label for="licenciamento" class="col-4 col-form-label">Data de Licenciamento</label>
                                    <div class="col-8">
                                        <input id="licenciamento" value="{{$licenca->licenciamento}}" disabled name="licenciamento" placeholder="Nome" class="form-control here" type="text">
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="vencimento" class="col-4 col-form-label">Data de Vencimento</label>
                                    <div class="col-8">
                                        <input id="vencimento" value="{{$licenca->vencimento}}" disabled name="vencimento" placeholder="Nome" class="form-control here" type="text">
                                    </div>
                                </div>


                                <div class="form-group row">
                                    <label for="cnpj" class="col-4 col-form-label">CNPJ*</label>
                                    <div class="col-8">
                                        <input id="cnpj" name="cnpj" disabled value="{{$licenca->cnpj}}" minlength="18" placeholder="Descrição" class="form-control here" type="text">
                                    </div>

                                    @if($licenca->estado==true)
                                    {{ 'Licença Ativa!' }}
                                    @else
                                    {{ 'Licença Inativa!' }}
                                    @endif

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection